- Qt 6.10
- Qt 3D
- QML Types
- Qt3D.Render (Deprecated)
- RenderCaptureReply
- Qt 6.10.2 Reference Documentation

# RenderCaptureReply QML Type

Receives render capture result. More...

Import Statement: | `import Qt3D.Render 2.10`
In C++: | QRenderCaptureReply
Status: | Deprecated

- List of all members, including inherited members

## Properties

- captureId : int
- complete : bool
- image : variant

## Methods

- bool saveImage(fileName)

## Detailed Description

## Property Documentation

captureId : int `[read-only]`

Holds the captureId, which was passed to the renderCapture.

complete : bool `[read-only]`

Holds the complete state of the render capture.

image : variant `[read-only]`

Holds the image, which was produced as a result of render capture.

## Method Documentation

bool saveImage(fileName)

Saves the render capture result as an image to fileName. Returns true if the image was successfully saved; otherwise returns false.